<template>
    <div class="slider-area">
        <!-- Slider -->
		<div class="block-slider block-slider4">
			<ul class="" id="bxslider-home4">
				<li v-for="(product,i) in data">
					<img :src="product.image_path" :alt="product.name" width="50" height="50">
					<div class="caption-group">
						<h2 class="caption title">
							{{ product.name }}
						</h2>
						<h4 class="caption subtitle">{{ product.description }}</h4>
						<a class="caption button-radius" href="#"><span class="icon"></span>Shop now</a>
					</div>
				</li>
			</ul>
		</div>
    </div> <!-- End slider area -->
</template>
<script setup>
import { ref } from 'vue'

const { data, pending, error, refresh, clear } = await useAsyncData(
  'products',
  () => $fetch('http://127.0.0.1:8000/api/products-all')
)
</script>